routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('password/reset','Auth\ForgotPasswordController@showLinkRequestForm')
    ->name('password.request');
Route::post('password/email','Auth\ForgotPasswordController@sendResetLinkEmail')
    ->name('password.email');
Route::get('password/reset/token','Auth\ResetPasswordController@showResetForm')
    ->name('password.reset');
Route::post('password/reset','Auth\ResetPasswordController@reset');

Route::get('email-verification/error', 'EmailVerificationController@getVerificationError')->name('email-verification.error');
Route::get('email-verification/check/{token}', 'EmailVerificationController@getVerification')->name('email-verification.check');

Route::get('/home', 'HomeController@index')->name('home');

Route::group([
    'prefix'=>'admin',
    'as'=>'admin.',
    'namespace' => 'Admin\\'
],function(){
    Route::name('login')->get('login','Auth\LoginController@showLoginForm');
    Route::post('login','Auth\LoginController@login');

    Route::group(['middleware'=>['isVerified','can:admin']], function () {
        Route::name('logout')->post('logout','Auth\LoginController@logout');
        Route::get('dashboard',function(){
            return view('admin.dashboard');
        })->name('dashboard');
        Route::name('user_settings.edit')->get('users/settings','Auth\UserSettingsController@edit');
        Route::name('user_settings.update')->put('users/settings','Auth\UserSettingsController@update');
        Route::resource('users','UsersController');
        Route::resource('categories','CategoriesController');
        Route::resource('plans','PlansController');
        Route::resource('web_profiles','PaypalWebProfilesController');

        Route::get('series/{serie}/thumb_asset','SeriesController@thumbAsset')->name('series.thumb_asset');
        Route::get('series/{serie}/thumb_small_asset','SeriesController@thumbSmallAsset')->name('series.thumb_small_asset');
        Route::resource('series','SeriesController');
        Route::group(['prefix'=>'videos','as'=>'videos.'],function(){
            Route::name('relations.create')->get('{video}/relations','VideoRelationsController@create');
            Route::name('relations.store')->post('{video}/relations','VideoRelationsController@store');
            Route::name('uploads.create')->get('{video}/uploads','VideoUploadsController@create');
            Route::name('uploads.store')->post('{video}/uploads','VideoUploadsController@store');
        });
    });
    Route::get('videos/{video}/thumb_asset','VideosController@thumbAsset')->name('videos.thumb_asset');
    Route::get('videos/{video}/thumb_small_asset','VideosController@thumbSmallAsset')->name('videos.thumb_small_asset');
    Route::get('videos/{video}/file_asset','VideosController@fileAsset')->name('videos.file_asset');
    Route::resource('videos','VideosController');
});

resources/views/admin/web_profiles/create.blade.php
@extends('layouts.admin')

@section('content')
<div class="container">
    <div class="row">
        <h3>Novo perfil PayPal</h3>
        <?php $icon = Icon::create('floppy-disk'); ?>
        {!! form($form->add('salve','submit',[
            'attr' => ['class'=>'btn-lg btn btn-primary btn-block','title'=>'Salvar'],
            'label' => $icon
        ])) !!}
    </div>
</div>
@endsection

resources/views/admin/web_profiles/edit.blade.php
@extends('layouts.admin')

@section('content')
<div class="container">
    <div class="row">
        <h3>Editar perfil PayPal</h3>
        <?php $icon = Icon::create('pencil'); ?>
        {!! form($form->add('salve','submit',[
            'attr' => ['class'=>'btn-lg btn btn-primary btn-block','title'=>'Salvar'],
            'label' => $icon
        ])) !!}
    </div>
</div>
@endsection

resources/views/admin/web_profiles/index.blade.php
@extends('layouts.admin')

@section('content')
<div class="container">
    <div class="row">
        <h3>Listagem de perfis web do PayPal</h3>
        {!! Button::primary('Novo perfil PayPal')->asLinkTo(route('admin.web_profiles.create')) !!}
    </div>
    <div class="row">
        {!!
            Table::withContents($data->items())->striped()
            ->callback('Ações', function($field,$item){
                $linkEdit = route('admin.web_profiles.edit',['web_profile'=>$item->id]);
                $linkShow = route('admin.web_profiles.show',['web_profile'=>$item->id]);
                return Button::link(Icon::create('pencil'))->asLinkTo($linkEdit)
                    .'|'.
                    Button::link(Icon::create('trash'))->asLinkTo($linkShow);
            })
        !!}
        {!! $data->links() !!}
    </div>
</div>
@endsection

resources/views/admin/web_profiles/show.blade.php
@extends('layouts.admin')

@section('content')
    <div class="container">
        <div class="row">
            <h3>Visualizar perfil PayPal</h3>
            <?php
            $iconEdit = Icon::create('pencil');
            $iconRemove = Icon::create('trash');
            ?>
            {!! Button::primary($iconEdit)->asLinkTo(route('admin.web_profiles.edit',['web_profile'=>$web_profile->id])) !!}
            {!!
                Button::danger($iconRemove)
                ->asLinkTo(route('admin.web_profiles.destroy',['web_profile'=>$web_profile->id]))
                ->addAttributes(['onclick'=>"event.preventDefault();document.getElementById(\"form-delete\").submit();"])
            !!}
            <?php $formDelete = FormBuilder::plain([
                'id' => 'form-delete',
                'method' => 'DELETE',
                'style' => 'display:none',
                'route'=>['admin.web_profiles.destroy','web_profile'=>$web_profile->id]
            ]);?>
            {!! form($formDelete) !!}
            <br/><br/>

            <table class="table table-bordered">
                <tbody>
                <tr>
                    <th scope="row">#</th>
                    <td>{{$web_profile->id}}</td>
                </tr>
                <tr>
                    <th scope="row">Nome</th>
                    <td>{{$web_profile->name}}</td>
                </tr>
                <tr>
                    <th scope="row">Logo Url</th>
                    <td>{!! \BootstrapImage::thumbnail($web_profile->logo_url,'thumbnail') !!}</td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
@endsection